# Get current profile Retrieve the currently authenticated profile. A convenient alias of the [Get profile](get-profile) endpoint. For a complete reference of the profile object, refer to the [Get profile](get-profile) endpoint documentation. > 🔑 Access with > > [API key](/reference/authentication) # OpenAPI definition ```json { "openapi": "3.1.0", "info": { "title": "Mollie Connect", "version": "1.0.0", "license": { "name": "Attribution-NonCommercial-ShareAlike 4.0 International", "identifier": "CC-BY-NC-SA-4.0" } }, "servers": [ { "url": "https://api.mollie.com" } ], "security": [ { "apiKey": [] }, { "organizationAccessToken": [] }, { "oAuth": [] } ], "paths": { "/v2/profiles/me": { "get": { "summary": "Get current profile", "x-speakeasy-name-override": "get-current", "tags": [ "Profiles API" ], "operationId": "get-current-profile", "security": [ { "apiKey": [] } ], "description": "Retrieve the currently authenticated profile. A convenient alias of the [Get profile](get-profile) endpoint.\n\nFor a complete reference of the profile object, refer to the [Get profile](get-profile) endpoint documentation.\n\n> 🔑 Access with\n>\n> [API key](/reference/authentication)", "responses": { "200": { "description": "The current profile object. For a complete reference of the profile object, refer to the [Get profile](get-profile) endpoint documentation.", "content": { "application/hal+json": { "schema": { "allOf": [ { "type": "object", "properties": { "resource": { "type": "string", "description": "Indicates the response contains a profile object. Will always contain the string `profile` for this endpoint.", "readOnly": true, "default": "profile", "example": "profile" }, "id": { "type": "string", "description": "The identifier uniquely referring to this profile. Example: `pfl_v9hTwCvYqw`.", "readOnly": true, "example": "pfl_QkEhN94Ba" }, "mode": { "example": "live", "type": "string", "description": "Whether this entity was created in live mode or in test mode.\n\nPossible values: `live` `test`", "readOnly": true }, "name": { "type": "string", "description": "The profile's name, this will usually reflect the trade name or brand name of the profile's website or application.", "example": "My website name" }, "website": { "type": "string", "description": "The URL to the profile's website or application. Only `https` or `http` URLs are allowed. No `@` signs are allowed.", "maxLength": 255, "example": "https://example.com" }, "email": { "type": "string", "description": "The email address associated with the profile's trade name or brand.", "example": "test@mollie.com" }, "phone": { "type": "string", "description": "The phone number associated with the profile's trade name or brand.", "example": "+31208202070" }, "description": { "type": "string", "description": "The products or services offered by the profile's website or application.", "example": "My website description", "maxLength": 500 }, "countriesOfActivity": { "type": "array", "items": { "type": "string" }, "description": "A list of countries where you expect that the majority of the profile's customers reside, in [ISO 3166-1 alpha-2](https://en.wikipedia.org/wiki/ISO_3166-1_alpha-2) format.", "example": [ "NL", "GB" ] }, "businessCategory": { "type": "string", "description": "The industry associated with the profile's trade name or brand. Please refer to the [business category list](common-data-types#business-category) for all possible options.", "example": "OTHER_MERCHANDISE" }, "status": { "allOf": [ { "type": "string", "description": "The profile status determines whether the profile is able to receive live payments.\n\n* `unverified`: The profile has not been verified yet and can only be used to create test payments.\n* `verified`: The profile has been verified and can be used to create live payments and test payments.\n* `blocked`: The profile is blocked and can no longer be used or changed.\n\nPossible values: `unverified` `verified` `blocked`", "example": "unverified" } ], "readOnly": true }, "review": { "type": "object", "description": "Present if changes have been made that have not yet been approved by Mollie. Changes to test profiles are approved automatically, unless a switch to a live profile has been requested. The review object will therefore usually be `null` in test mode.", "properties": { "status": { "type": "string", "description": "The status of the requested changes.\n\nPossible values: `pending` `rejected`", "example": "pending" } }, "readOnly": true, "example": { "status": "pending" } }, "createdAt": { "example": "2022-01-19T12:30:22+00:00", "type": "string", "description": "The entity's date and time of creation, in [ISO 8601](https://en.wikipedia.org/wiki/ISO_8601) format.", "readOnly": true }, "_links": { "type": "object", "description": "An object with several relevant URLs. Every URL object will contain an `href` and a `type` field.", "properties": { "self": { "type": "object", "description": "In v2 endpoints, URLs are commonly represented as objects with an `href` and `type` field.", "required": [ "href", "type" ], "properties": { "href": { "type": "string", "description": "The actual URL string.", "example": "https://..." }, "type": { "type": "string", "description": "The content type of the page or endpoint the URL points to.", "example": "application/hal+json" } } }, "dashboard": { "description": "Link to the profile in the Mollie dashboard.", "type": "object", "required": [ "href", "type" ], "properties": { "href": { "type": "string", "description": "The actual URL string.", "example": "https://..." }, "type": { "type": "string", "description": "The content type of the page or endpoint the URL points to.", "example": "application/hal+json" } } }, "chargebacks": { "description": "The API resource URL of the chargebacks that belong to this profile.", "type": "object", "required": [ "href", "type" ], "properties": { "href": { "type": "string", "description": "The actual URL string.", "example": "https://..." }, "type": { "type": "string", "description": "The content type of the page or endpoint the URL points to.", "example": "application/hal+json" } } }, "methods": { "description": "The API resource URL of the methods that are enabled for this profile.", "type": "object", "required": [ "href", "type" ], "properties": { "href": { "type": "string", "description": "The actual URL string.", "example": "https://..." }, "type": { "type": "string", "description": "The content type of the page or endpoint the URL points to.", "example": "application/hal+json" } } }, "payments": { "description": "The API resource URL of the payments that belong to this profile.", "type": "object", "required": [ "href", "type" ], "properties": { "href": { "type": "string", "description": "The actual URL string.", "example": "https://..." }, "type": { "type": "string", "description": "The content type of the page or endpoint the URL points to.", "example": "application/hal+json" } } }, "refunds": { "description": "The API resource URL of the refunds that belong to this profile.", "type": "object", "required": [ "href", "type" ], "properties": { "href": { "type": "string", "description": "The actual URL string.", "example": "https://..." }, "type": { "type": "string", "description": "The content type of the page or endpoint the URL points to.", "example": "application/hal+json" } } }, "checkoutPreviewUrl": { "description": "The hosted checkout preview URL. You need to be logged in to access this page.", "type": "object", "required": [ "href", "type" ], "properties": { "href": { "type": "string", "description": "The actual URL string.", "example": "https://..." }, "type": { "type": "string", "description": "The content type of the page or endpoint the URL points to.", "example": "application/hal+json" } } }, "documentation": { "type": "object", "description": "In v2 endpoints, URLs are commonly represented as objects with an `href` and `type` field.", "required": [ "href", "type" ], "properties": { "href": { "type": "string", "description": "The actual URL string.", "example": "https://..." }, "type": { "type": "string", "description": "The content type of the page or endpoint the URL points to.", "example": "application/hal+json" } } } }, "readOnly": true, "example": { "self": { "href": "...", "type": "application/hal+json" }, "dashboard": { "href": "https://www.mollie.com/dashboard/org_7049691/settings/profiles/pfl_2q3RyuMGry", "type": "text/html" }, "chargebacks": { "href": "https://api.mollie.com/v2/chargebacks?profileId=pfl_2q3RyuMGry", "type": "application/hal+json" }, "methods": { "href": "https://api.mollie.com/v2/methods?profileId=pfl_2q3RyuMGry", "type": "application/hal+json" }, "payments": { "href": "https://api.mollie.com/v2/payments?profileId=pfl_2q3RyuMGry", "type": "application/hal+json" }, "refunds": { "href": "https://api.mollie.com/v2/refunds?profileId=pfl_2q3RyuMGry", "type": "application/hal+json" }, "checkoutPreviewUrl": { "href": "https://www.mollie.com/checkout/preview/pfl_2q3RyuMGry", "type": "text/html" }, "documentation": { "href": "...", "type": "text/html" } } } } }, { "type": "object", "required": [ "resource", "id", "mode", "name", "website", "email", "phone", "businessCategory", "status", "createdAt", "_links" ], "properties": { "businessCategory": { "type": [ "string", "null" ], "description": "The industry associated with the profile's trade name or brand. Please refer to the [business category list](common-data-types#business-category) for all possible options.", "example": "OTHER_MERCHANDISE" } } } ] }, "examples": { "get-current-profile-200-1": { "summary": "The current profile object", "value": { "resource": "profile", "id": "pfl_85dxyKqNHa", "mode": "live", "name": "Jonas Test BV", "website": "https://example.com", "email": "test@mollie.com", "phone": "+31612345678", "businessCategory": "MONEY_SERVICES", "status": "verified", "createdAt": "2021-12-08T15:42:58+00:00", "_links": { "self": { "href": "...", "type": "application/hal+json" }, "dashboard": { "href": "https://www.mollie.com/dashboard/org_13514547/settings/profiles/pfl_85dxyKqNHa", "type": "text/html" }, "chargebacks": { "href": "https://api.mollie.com/v2/chargebacks", "type": "application/hal+json" }, "methods": { "href": "https://api.mollie.com/v2/methods", "type": "application/hal+json" }, "payments": { "href": "https://api.mollie.com/v2/payments", "type": "application/hal+json" }, "refunds": { "href": "https://api.mollie.com/v2/refunds", "type": "application/hal+json" }, "checkoutPreviewUrl": { "href": "https://www.mollie.com/checkout/preview/pfl_85dxyKqNHa", "type": "text/html" }, "documentation": { "href": "...", "type": "text/html" } } } } } } } } }, "x-readme": { "code-samples": [ { "language": "shell", "code": "curl -X GET https://api.mollie.com/v2/profiles/me \\\n -H \"Authorization: Bearer live_dHar4XY7LxsDOtmnkVtjNVWXLSlXsM\"" }, { "language": "php", "code": "setApiKey(\"live_dHar4XY7LxsDOtmnkVtjNVWXLSlXsM\");\n\n$profile = $mollie->send(new GetCurrentProfileRequest());", "install": "composer require mollie/mollie-api-php" }, { "language": "node", "code": "const { createMollieClient } = require('@mollie/api-client');\nconst mollieClient = createMollieClient({ apiKey: 'live_dHar4XY7LxsDOtmnkVtjNVWXLSlXsM' });\n\nconst profile = await mollieClient.profiles.getCurrent();", "install": "npm install @mollie/api-client" }, { "language": "python", "code": "from mollie.api.client import Client\n\nmollie_client = Client()\nmollie_client.set_api_key(\"live_dHar4XY7LxsDOtmnkVtjNVWXLSlXsM\")\n\nprofile = mollie_client.profiles.get(\"me\")", "install": "pip install mollie-api-python" }, { "language": "ruby", "code": "require 'mollie-api-ruby'\n\nMollie::Client.configure do |config|\n config.api_key = 'live_dHar4XY7LxsDOtmnkVtjNVWXLSlXsM'\nend\n\nprofile = Mollie::Profile.current", "install": "gem install mollie-api-ruby" } ] } } } }, "components": { "securitySchemes": { "apiKey": { "type": "http", "scheme": "bearer", "x-default": "live_dHar4XY7LxsDOtmnkVtjNVWXLSlXsM" }, "organizationAccessToken": { "type": "http", "scheme": "bearer", "x-default": "access_dHar4XY7LxsDOtmnkVtjNVWXLSlXsM" }, "oAuth": { "type": "oauth2", "flows": { "authorizationCode": { "authorizationUrl": "https://my.mollie.com/oauth2/authorize", "tokenUrl": "https://api.mollie.com/oauth2/tokens", "scopes": {} } } } } }, "x-readme": { "explorer-enabled": false, "samples-languages": [ "shell", "php", "node", "python", "ruby" ] } } ```